-- MayorS
-- Macdonald Canada
print("Macdonald Loaded")

---------------------
--Railroad
---------------------

function hasDiscoverRailroad(player)
	local hasRailroad = false
	for _, pPlayer in pairs(Players) do
		local teamID = pPlayer:GetTeam();
		local pTeam = Teams[teamID];
		if (pPlayer:IsAlive()) then
			if(pTeam:IsHasTech(GameInfo.Technologies["TECH_RAILROAD"].ID)) then
				hasRailroad = true
			end
		end
	end
	return hasRailroad
end

function railroadCityConnected (player)
	local pPlayer = Players[player]
	local iRailroad = hasDiscoverRailroad(pPlayer)
	if pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_MACDONALD_CANADA then
		for pCity in pPlayer:Cities() do
			if pPlayer:IsCapitalConnectedToCity(pCity) then
				if iRailroad == true then
					pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_CANADA_RAILROAD_UA,2)
				else
					pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_CANADA_RAILROAD_UA,1)
				end
			else
				pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_CANADA_RAILROAD_UA,0)
			end
		end
	end
end

GameEvents.PlayerDoTurn.Add(railroadCityConnected)

function goldFromRailroad (player)
	local pPlayer = Players[player]
	if pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_MACDONALD_CANADA then
		for pCity in pPlayer:Cities() do
			local numRail = 0
			local numRailT = 0
			for pCityPlot = 0, pCity:GetNumCityPlots() - 1, 1 do
				local pPlot = pCity:GetCityIndexPlot(pCityPlot)
				if pPlot ~= nil then
					if pPlot:GetOwner() == pCity:GetOwner() then
						local isRail = pPlot:GetRouteType()
						if isRail == GameInfo.Routes.ROUTE_RAILROAD.ID then
							numRail = numRail + 1
							if numRail == 3 then
								numRail = 0
								numRailT = numRailT + 1
							end
						end
					end
				end
			end
			pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_CANADA_RAILROAD_UA_GOLD, numRailT)
		end
	end
end

GameEvents.PlayerDoTurn.Add(goldFromRailroad)

---------------------
--Mountie
---------------------

function mountieStrongerInCanada (player)
	local pPlayer = Players[player]
	if pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_MACDONALD_CANADA then
		for pCity in pPlayer:Cities() do
			for pCityPlot = 0, pCity:GetNumCityPlots() - 1, 1 do
				local pPlot = pCity:GetCityIndexPlot(pCityPlot)
				if pPlot ~= nil then
					for pUnit in pPlayer:Units() do
						if pUnit:IsHasPromotion(GameInfoTypes.PROMOTION_MOUNTIE) then
							print("Got Mountie")
							local uPlot = pUnit:GetPlot()
							if uPlot:GetOwner() == player then
								print("This Tile is owned by Macdonald")
								pUnit:SetHasPromotion(GameInfoTypes.PROMOTION_MOUNTIE_2, true)
							else
								pUnit:SetHasPromotion(GameInfoTypes.PROMOTION_MOUNTIE_2, false)
							end
						end
					end
				end
			end
		end
	end
end

GameEvents.PlayerDoTurn.Add(mountieStrongerInCanada)

---------------------
--Grand Railroad Hotel
---------------------

function railroadHotelCityConnected (player)
	local pPlayer = Players[player]
	if pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_MACDONALD_CANADA then
		for pCity in pPlayer:Cities() do
			if pCity:IsHasBuilding(GameInfoTypes.BUILDING_MACDONALD_CANADA_RAILROAD_HOTEL) then
				if pPlayer:IsCapitalConnectedToCity(pCity) then
					pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_CANADA_RAILROAD_HOTEL_CC,1)
				else
					pCity:SetNumRealBuilding(GameInfoTypes.BUILDING_CANADA_RAILROAD_HOTEL_CC,0)
				end
			end
		end
	end
end

GameEvents.PlayerDoTurn.Add(railroadHotelCityConnected)
